#
# spec file for package python-evtx
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-evtx
Version:        0.3.1
Release:        3.2
License:        Apache-2.0
Summary:        Windows Event Log files parser
Url:            https://github.com/williballenthin/python-evtx
Group:          Development/Libraries/Python 
Source:         python-evtx-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
python-evtx is a pure Python parser for recent Windows Event Log files (those
with the file extension ".evtx"). The module provides programmatic access to the
File and Chunk headers, record templates, and event entries. For example, you
can use python-evtx to review the event logs of Windows 7 systems from a Mac or
Linux workstation. The structure definitions and parsing strategies were heavily
inspired by the work of Andreas Schuster and his Perl implementation
"Parse-Evtx".

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
for script in evtxdump.py evtxinfo.py; do
  sed -i -e 's:^#!/bin/python:#!/usr/bin/python:' scripts/$script
  install -m 0755 scripts/$script %{buildroot}%{_bindir}/$script
done

%files
%defattr(-,root,root)
%doc LICENSE.TXT README.md
%{python_sitelib}/*
%{_bindir}/evtxdump.py
%{_bindir}/evtxinfo.py

%changelog
* Tue Apr 26 2016 cbosdonnat@suse.com
- Version 0.3.1
